Subject: Re: [PATCH] diff: fix a segfault in >2 tree -I<regex> and --output=<file>

From: Junio C Hamano <[email-masked]>
Date: Tue, 24 May 2022 12:38:49 -0700

Ævar Arnfjörð Bjarmason <[email-masked]> writes:

> I.e. the "right" thing to do in this case would require a much more
> involved fix. We've somehow ended up not supporting --output=<file>, -I
> and probably many other options in the combined-diff mode, which both in
> testing and in this part of the implementation seems to have become an
> afterthought.

OK, a hopefully final question.

How much less involved is it to add a new code (without doing
anything in this patch) to detect and die on the combination of
combined-diff with these two options, so that we can document the
fact that we do not support them?  It would give us much better way
forward than leaving the command silently ignore and give result
that is not in line with what was asked, wouldn't it?  That way, the
much more involved "fix" will turn into a change to add a missing
feature.

Thanks.